## kwayland 5.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 2.8.12)
-set(PROJECT_VERSION "5.4.2")
+set(PROJECT_VERSION "5.5.5")
 set(PROJECT_VERSION_MAJOR 5)
 
 project(KWAYLAND)
@@ -28,7 +28,7 @@
 set(REQUIRED_QT_VERSION 5.4.0)
 find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui)
 
-find_package(Wayland 1.3 COMPONENTS Client Server)
+find_package(Wayland 1.7 COMPONENTS Client Server)
 set_package_properties(Wayland PROPERTIES
                        TYPE REQUIRED
                       )
