=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.4.0),
+               extra-cmake-modules (>= 5.18.0~),
                libegl1-mesa-dev,
                libwayland-dev (>= 1.3),
                pkg-config,
@@ -13,7 +13,6 @@
                qtbase5-dev (>= 5.4.0~),
                qtbase5-private-dev (>= 5.4.0~)
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/kde/workspace/kwayland
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/kwayland.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/kwayland.git
