## kwayland 5.26.0

=== debian/changelog ===
kwayland (4:5.26.0-0ubuntu1) yakkety; urgency=medium

  * Update kubuntu_disable-tests.diff for upstream changes
  * New upstream release (5.26.0)

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 22 Sep 2016 13:50:26 +0100

kwayland (4:5.24.0-0ubuntu1) yakkety; urgency=medium

  [ Philip Muškovac ]
  * New upstream release (5.24.0)

  [ Clive Johnston ]
  * Refreshing symbols and removing MISSING

  [ Rik Mills ]
  * Refresh symbols - remove missing

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:46:51 +0000

kwayland (4:5.23.0-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream release (5.23.0)
  * Refreshing symbols and removing MISSING

  [ Rik Mills ]
  * install new org-kde-kf5-kwayland-testserver
  * Add appropriate shlibs:depends to control file

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:18:09 +0200

kwayland (4:5.22.0-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream release
  * Refreshing symbols

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release
  * Adding org-kde-kf5-kwayland-testserver to install file
  * Refreshing symbols and removing missing
  * Removing merge markers from symbols file
  * Refreshing symbols

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 17 May 2016 16:40:09 -0700
