=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
+               extra-cmake-modules (>= 5.26.0~),
                libegl1-mesa-dev,
                libwayland-dev (>= 1.3),
                pkg-config,
@@ -14,8 +14,8 @@
                qtbase5-private-dev (>= 5.4.0~)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/workspace/kwayland
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/kwayland.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/kwayland.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwayland
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwayland
 
 Package: kwayland-dev
 Section: libdevel
@@ -23,7 +23,8 @@
 Depends: libkf5waylandclient5 (= ${binary:Version}),
          libkf5waylandserver5 (= ${binary:Version}),
          qtbase5-dev (>= 5.4.0~),
-         ${misc:Depends}
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: development files for kwayland
  KWayland provides a Qt-style Client and Server library wrapper for
  the Wayland libraries.
@@ -53,7 +54,7 @@
 Package: kwayland-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt library wrapper for Wayland libraries - data files
  KWayland provides a Qt-style Server library wrapper for
  the Wayland libraries.
