## kwayland 5.31.0

=== debian/changelog ===
kwayland (4:5.31.0-0ubuntu1) zesty; urgency=medium

  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (5.31.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:49:52 +0000

kwayland (4:5.30.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.30.0)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:33:28 +0000

kwayland (4:5.28.0-0ubuntu1) zesty; urgency=medium

  [ Clive Johnston ]
  * New upstream release (5.27.0)

  [ Rik Mills ]
  * Update symbols from buildlogs

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * Merge with debian, keeping kwayland-data package, dropping -dbg package in
    favour of -dbgsym.
  * New upstream release (5.28.0)
  * Update symbols files

  [ Clive Johnston ]
  * Refreshing symbols and removing #MISSING
  * Disable autpkgtest/testsuite temporarily. Apparently we don't have
    yet a proper way to execute these tests so they are failing, note
    that executing weston before the tests doesn't fix the problem.
  * Update symbols files after debian merge

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:15:19 +0000
